cascading.flow.planner.iso.subgraph.partitioner

## Class ExpressionGraphPartitioner

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.GraphPartitioner
  - - cascading.flow.planner.iso.subgraph.partitioner.ExpressionGraphPartitioner

- Direct Known Subclasses:
    UniquePathGraphPartitioner

      public class ExpressionGraphPartitioner
      extends GraphPartitioner

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ElementAnnotation[]` | `annotations`
    `protected ExpressionGraph` | `contractionGraph`
    `protected ExpressionGraph` | `expressionGraph`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionGraphPartitioner(ExpressionGraph contractionGraph, ExpressionGraph expressionGraph, ElementAnnotation... annotations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElementAnnotation[]` | `getAnnotations()`
    `ExpressionGraph` | `getContractionGraph()`
    `ExpressionGraph` | `getExpressionGraph()`
    `Partitions` | `partition(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Collection<FlowElement> excludes)`
    `void` | `setAnnotations(ElementAnnotation[] annotations)`
    `protected SubGraphIterator` | `wrapIterator(ExpressionSubGraphIterator expressionIterator)`

    - ### Methods inherited from class cascading.flow.planner.iso.subgraph.GraphPartitioner

      `partition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contractionGraph

          protected ExpressionGraph contractionGraph

    - #### expressionGraph

          protected ExpressionGraph expressionGraph

    - #### annotations

          protected ElementAnnotation[] annotations

  - ### Constructor Detail

    - #### ExpressionGraphPartitioner

          public ExpressionGraphPartitioner(ExpressionGraph contractionGraph,
                                    ExpressionGraph expressionGraph,
                                    ElementAnnotation... annotations)

  - ### Method Detail

    - #### getContractionGraph

          public ExpressionGraph getContractionGraph()

    - #### getExpressionGraph

          public ExpressionGraph getExpressionGraph()

    - #### getAnnotations

          public ElementAnnotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations(ElementAnnotation[] annotations)

    - #### partition

          public Partitions partition(PlannerContext plannerContext,
                             ElementGraph elementGraph,
                             java.util.Collection<FlowElement> excludes)

      Specified by:
        `partition` in class `GraphPartitioner`

    - #### wrapIterator

          protected SubGraphIterator wrapIterator(ExpressionSubGraphIterator expressionIterator)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.